## GstGLFramebuffer GstGLFramebuffer |

## Functions

GstGLFramebuffer * | gst_gl_framebuffer_new ()
gboolean | gst_gl_framebuffer_generate ()
void | gst_gl_framebuffer_delete ()
gboolean | gst_gl_framebuffer_use_v2 ()

## Types and Values

struct | GstGLFramebuffer
struct | GstGLFramebufferClass

## Object Hierarchy

        GObject
        ╰── GstGLFramebuffer

## Description

## Functions

### gst_gl_framebuffer_new ()

    GstGLFramebuffer *
    gst_gl_framebuffer_new (GstGLContext *context);

### gst_gl_framebuffer_generate ()

    gboolean
    gst_gl_framebuffer_generate (GstGLFramebuffer *frame,
                                 gint width,
                                 gint height,
                                 guint *fbo,
                                 guint *depthbuffer);

### gst_gl_framebuffer_delete ()

    void
    gst_gl_framebuffer_delete (GstGLFramebuffer *frame,
                               guint fbo,
                               guint depth);

### gst_gl_framebuffer_use_v2 ()

    gboolean
    gst_gl_framebuffer_use_v2 (GstGLFramebuffer *frame,
                               gint texture_fbo_width,
                               gint texture_fbo_height,
                               GLuint fbo,
                               GLuint depth_buffer,
                               GLuint texture_fbo,
                               GLCB_V2 cb,
                               gpointer stuff);

## Types and Values

### struct GstGLFramebuffer

    struct GstGLFramebuffer;

### struct GstGLFramebufferClass

    struct GstGLFramebufferClass {
      GObjectClass object_class;
    };